Delete a sub-custodian API key
curl --request DELETE \
--url https://api.portalhq.io/api/v3/resellers/custodians/{custodianId}/environments/{environmentId}/api-keys/{apiKeyId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/resellers/custodians/{custodianId}/environments/{environmentId}/api-keys/{apiKeyId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/resellers/custodians/{custodianId}/environments/{environmentId}/api-keys/{apiKeyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Sub-Custodian API Keys
Delete a sub-custodian API key
Deletes an environment-scoped Portal API key for a sub-custodian owned by the authenticated reseller.
DELETE
/
resellers
/
custodians
/
{custodianId}
/
environments
/
{environmentId}
/
api-keys
/
{apiKeyId}
Delete a sub-custodian API key
Authorizations
Reseller API key created in the Portal dashboard.
Path Parameters
The ID of a sub-custodian owned by the authenticated reseller.
The ID of an environment that belongs to the sub-custodian.
The ID of a sub-custodian Portal API key.
Response
Sub-custodian API key deleted successfully
Was this page helpful?
⌘I